// OOPEksempel01.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "../../Include/Counter.h"
#include <iostream>
#include <conio.h>
using namespace std;


int _tmain(int argc, _TCHAR* argv[])
{
	Counter T1;
	CounterN n1 = new CounterN();
    cout << " 1 " << T1.Value() << endl;
    T1.Increment();
    T1.Increment();
    T1.Increment();
    cout << " 2 " << T1.Value() << endl;
    T1.Decrement();
    cout << " 3 " << T1.Value() << endl;
	T1.Reset();
    cout << " 4 " << T1.Value() << endl;
	_getch();
	return 0;
}

